
QGIS Application - Bug report #8344

Enter Credentials dialog pops up when it's pointless

2013-07-22 08:30 AM - Aren Cambre

Status: Closed

Priority: Low

Assignee:

Category: Data Provider/PostGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 17128

Description

If my Postgres database is down, and I try connecting to it using an existing connection, I get the Enter Credential dialog.

While the dialog does indicate "Connection refused" at the bottom, it's not appropriate to ask me to check my credentials--the main point

of the dialog--when the database is in fact down completely.

Related issues:

Duplicated by QGIS Application - Bug report # 8345: DB Manager prompts to ent... Closed 2013-07-22

History

#1 - 2013-07-22 08:33 AM - Aren Cambre

#8345 may be related.

#2 - 2013-07-22 08:41 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - High Priority

- Priority changed from Normal to Low

The dialog isn't postgres specific and doesn't know which (potentially localized) error message points to missing or wrong credentials.  I'd see it as an error

message box, that gives you the opportunity to enter credentials just in case.

#3 - 2014-06-21 03:58 PM - Jürgen Fischer

- Resolution set to wontfix

- Status changed from Open to Closed

closing for the lack of feedback.
